package ru.micord.ervu.audit.constants;


import java.util.Map;

/**
 * @author Adel Kalimullin
 */
public final class AuditConstants {
  public static final String SUBSYSTEM_TYPE = "UL";
  public static final String LOGOUT_EVENT_TYPE = "logout";
  public static final String LOGIN_EVENT_TYPE = "login";
  public static final String SUCCESS_STATUS_TYPE = "success";
  public static final String FAILURE_STATUS_TYPE = "failure";

  private static final Map<String, String> routeDescriptions = Map.of(
      "/", "Личный кабинет ЮР лица",
      "/mydata", "Информация об организации",
      "/filesentlog", "Журнал взаимодействия",
      "/home", "Домашняя страница ЛК РП ЮЛ"
  );

  private static final Map<Integer, String> downloadTypes = Map.of(
      1, "Выписка из журнала взаимодействия ЮЛ"
  );


  private AuditConstants() {
  }

  public static String getRouteDescription(String route) {
   return routeDescriptions.getOrDefault(route, "Неизвестный маршрут");
  }

  public static String getDownloadType(int formatRegistry) {
    return downloadTypes.getOrDefault(formatRegistry, "Неизвестный формат");
  }
}
